Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity Hub
  • Access management
  • Pricing policy
  • Terraform reference
    • Authentication
      • Overview
        • Overview
        • GetSettings
        • UpdateSettings
        • GetProfile
        • ListProfiles
        • CreateProfile
        • UpdateProfile
        • SetDefaultProfile
        • DeleteProfile
  • Audit Trails events
  • Release notes
  • Yandex Identity Hub Sync Agent release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • OsLoginProfile
  1. API reference
  2. REST
  3. OsLogin
  4. ListProfiles

Identity Hub API, REST: OsLogin.ListProfiles

Written by
Yandex Cloud
Updated at December 15, 2025
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • OsLoginProfile

HTTP requestHTTP request

GET https://organization-manager.api.cloud.yandex.net/organization-manager/v1/osLoginProfiles

Query parametersQuery parameters

Field

Description

organizationId

string

Required field.

The maximum string length in characters is 50.

pageSize

string (int64)

Acceptable values are 0 to 1000, inclusive.

pageToken

string

The maximum string length in characters is 2000.

filter

string

A filter expression that filters profiles listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering by subject_id, uid or login.
  2. An = operator.
  3. The value in double quotes (").
    E.g. login="example-login"

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "profiles": [
    {
      "id": "string",
      "organizationId": "string",
      "subjectId": "string",
      "login": "string",
      "uid": "string",
      "isDefault": "boolean",
      "homeDirectory": "string",
      "shell": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

profiles[]

OsLoginProfile

nextPageToken

string

OsLoginProfileOsLoginProfile

Field

Description

id

string

organizationId

string

subjectId

string

login

string

uid

string (int64)

isDefault

boolean

homeDirectory

string

shell

string

Was the article helpful?

Previous
GetProfile
Next
CreateProfile
© 2026 Direct Cursus Technology L.L.C.